Subject: Re: Autogenerate some wait events code and documentation

From: Alvaro Herrera <[email-masked]>
Date: Tue, 29 Aug 2023 14:21:48 +0200

On 2023-Aug-29, Michael Paquier wrote:

> On Tue, Aug 29, 2023 at 08:17:10AM +0200, Drouvot, Bertrand wrote:
> > Agree that done that way one could easily grep the events from the
> > source code and match them with wait_event_names.txt. Then I don't
> > think the "search" issue in the code is still a concern with the
> > current proposal.
> 
> It could still be able to append WAIT_EVENT_ to the first column of
> the file.  I'd just rather keep it shorter.

Yeah, I have a mild preference for keeping the prefix, but it's mild
because I also imagine that if somebody doesn't see the full symbol name
when grepping they will think to remove the prefix.  So only -0.1.

I think the DOCONLY stuff should be better documented; they make no
sense without looking at the commit message for fa88928470b5.

-- 
Álvaro Herrera        Breisgau, Deutschland  —  https://www.EnterpriseDB.com/